%define dataversion 0.1

Summary: PDF rendering library
Name: poppler
Version: 0.5.4
Release: 4.1%{?dist}
License: GPL
Group: Development/Libraries
Source0: %{name}-%{version}.tar.gz
Source1: %{name}-data-%{dataversion}.tar.gz
Patch0: poppler-0.5.4-fix-selection-render-incorrectly.patch
Patch1: CVE-2007-3387.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel
BuildRequires: cairo-devel
Requires: gtk2

%description
Poppler, a PDF rendering library, it's a fork of the xpdf PDF
viewer developed by Derek Noonburg of Glyph and Cog, LLC.

%package devel
Summary: Libraries and headers for poppler
Group: Development/Libraries
Requires: %name = %{version}

%description devel
Poppler, a PDF rendering library, it's a fork of the xpdf PDF
viewer developed by Derek Noonburg of Glyph and Cog, LLC.

You should install the poppler-devel package if you would like to
compile applications based on poppler.

%package utils
Summary: Command line utilities for converting PDF files.
Group: Applications/Text
Requires: %name = %{version}
Obsoletes: xpdf <= 1:3.01-8
Provides: xpdf-utils
Obsoletes: xpdf-utils
# There's an extras package that provides pdftohtml
Provides: pdftohtml
Obsoletes: pdftohtml

%description utils
Poppler, a PDF rendering library, it's a fork of the xpdf PDF
viewer developed by Derek Noonburg of Glyph and Cog, LLC.

This utils package installs a number of command line tools for
converting PDF files to a number of other formats.

%prep
%setup -c -q -a1
%patch0 -p1 -b .fix-selection-render-incorrectly
%patch1 -p1 -b .cve-2007-3387

%build
cd %{name}-%{version}
%configure --enable-cairo-output --disable-splash-output
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall -C %{name}-%{version}
make -C %{name}-data-%{dataversion} \
	DESTDIR=$RPM_BUILD_ROOT datadir=%{_datadir} install

rm $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/ChangeLog
%doc %{name}-%{version}/README
%{_libdir}/lib*.so.*
%{_datadir}/poppler

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/poppler
%{_datadir}/gtk-doc/html/poppler

%files utils
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Jul 23 2007 Kristian Høgsberg <krh@redhat.com> - 0.5.4-4
- Add patch to fix CVE-2007-3387 (#248212).

* Mon Jan  8 2007 Kristian Høgsberg <krh@redhat.com> 0.5.4-4
- Add patch from Shawn Huang <phuang@redhat.com> to fix selection
  rendering across different fonts (#212142).

* Mon Dec 11 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.4-3
- Add some Provides: (#218269)

* Tue Oct 17 2006 Kristian Høgsberg <krh@redhat.com> - 0.5.4-2.1
- Add Obsoletes: to poppler-utils package to fix upgrading (#210871).

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.5.4-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Sep 21 2006 Kristian Høgsberg <krh@redhat.com> - 0.5.4-1.fc6
- Rebase to 0.5.4, drop poppler-0.5.3-libs.patch, fixes #205813,
  #205549, #200613, #172137, #172138, #161293 and more.

* Wed Sep 13 2006 Kristian Høgsberg <krh@redhat.com> - 0.5.3-3.fc6
- Move .so to -devel (#203637).

* Mon Aug 14 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.3-2.fc6
- link against fontconfig (see bug 202256)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.5.3-1.1
- rebuild

* Wed May 31 2006 Kristian Høgsberg <krh@redhat.com> 0.5.3-1
- Update to 0.5.3.

* Mon May 22 2006 Kristian Høgsberg <krh@redhat.com> 0.5.2-1
- Update to 0.5.2.

* Wed Mar  1 2006 Kristian Høgsberg <krh@redhat.com> 0.5.1-2
- Rebuild the get rid of old soname dependency.

* Tue Feb 28 2006 Kristian Høgsberg <krh@redhat.com> 0.5.1-1
- Update to version 0.5.1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.5.0-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.0-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Ray Strode <rstrode@redhat.com> - 0.5.0-4
- change xpdf conflict version to be <= instead of <

* Wed Jan 18 2006 Ray Strode <rstrode@redhat.com> - 0.5.0-3
- update conflicts: xpdf line to be versioned

* Wed Jan 11 2006 Kristian Høgsberg <krh@redhat.com> - 0.5.0-2.0
- Update to 0.5.0 and add poppler-utils subpackage.
- Flesh out poppler-utils subpackage.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sun Sep  4 2005 Kristian Høgsberg <krh@redhat.com> - 0.4.2-1
- Update to 0.4.2 and disable splash backend so we don't build it.

* Fri Aug 26 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.4.1-2
- Rebuild

* Fri Aug 26 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Wed Aug 17 2005 Kristian Høgsberg <krh@redhat.com> - 0.4.0-2
- Bump release and rebuild.

* Wed Aug 17 2005 Marco Pesenti gritti <mpg@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Mon Aug 15 2005 Kristian Høgsberg <krh@redhat.com> - 0.3.3-2
- Rebuild to pick up new cairo soname.

* Mon Jun 20 2005 Kristian Høgsberg <krh@redhat.com> - 0.3.3-1
- Update to 0.3.3 and change to build cairo backend.

* Sun May 22 2005 Marco Pesenti gritti <mpg@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Sat May  7 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.3.1
- Update to 0.3.1

* Sat Apr 23 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.3.0
- Update to 0.3.0

* Wed Apr 13 2005 Florian La Roche <laroche@redhat.com>
- remove empty post/postun scripts

* Wed Apr  6 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Sat Mar 12 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.2-1
- Update to 0.1.2
- Use tar.gz because there are not bz of poppler

* Sat Mar  2 2005 Marco Pesenti Gritti <mpg@redhat.com> - 0.1.1-1
- Initial build
